## com.thingmagic
Class Gen2.NXP.AES.Untraceable

    java.lang.Object
      com.thingmagic.TagOp
          com.thingmagic.Gen2.Gen2CustomTagOp
              com.thingmagic.Gen2.Untraceable
                  com.thingmagic.Gen2.NXP.AES.Untraceable

Enclosing class:
  Gen2.NXP.AES

    public static class Gen2.NXP.AES.Untraceable

extends Gen2.Untraceable

Untraceable

Nested Class Summary

Nested classes/interfaces inherited from class com.thingmagic.Gen2.Untraceable
`Gen2.Untraceable.EPC, Gen2.Untraceable.Range, Gen2.Untraceable.TID, Gen2.Untraceable.User`

Field Summary
`Gen2.NXP.AES` `aes` AES
`Gen2.NXP.AES.Tam1Authentication` `auth` Tam1 Authentication
`byte` `subCommand` subCommand for Untraceable

Fields inherited from class com.thingmagic.Gen2.Untraceable
`epc, epcLen, range, tid, user`

Fields inherited from class com.thingmagic.Gen2.Gen2CustomTagOp
`chipType`

Constructor Summary
`Gen2.NXP.AES.Untraceable(Gen2.Untraceable.EPC epc, int epcLen, Gen2.Untraceable.TID tid, Gen2.Untraceable.User user, Gen2.Untraceable.Range range, Gen2.NXP.AES.Tam1Authentication auth)` Constructor to initialize authentication parameters
`Gen2.NXP.AES.Untraceable(Gen2.Untraceable.EPC epc, int epcLen, Gen2.Untraceable.TID tid, Gen2.Untraceable.User user, Gen2.Untraceable.Range range, int accessPassword)` Constructor to initialize authentication parameters

Method Summary
`int` `getConfigWord()` Untraceable configword framing.
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### aes

    public Gen2.NXP.AES aes

  AES

### auth

    public Gen2.NXP.AES.Tam1Authentication auth

  Tam1 Authentication

### subCommand

    public byte subCommand

  subCommand for Untraceable

Constructor Detail

### Gen2.NXP.AES.Untraceable

    public Gen2.NXP.AES.Untraceable(Gen2.Untraceable.EPC epc,
                                    int epcLen,
                                    Gen2.Untraceable.TID tid,
                                    Gen2.Untraceable.User user,
                                    Gen2.Untraceable.Range range,
                                    Gen2.NXP.AES.Tam1Authentication auth)

  Constructor to initialize authentication parameters

  Parameters:
    `epc` - specifies whether a Tag untraceably hides part of EPC memory
    `epcLen` - specifies a new EPC length field
    `tid` - specifies the TID memory that a Tag untraceably hides
    `user` - specifies whether a Tag untraceably hides User memory
    `range` - specifies a Tag’s operating range
    `auth` - authentication type TAM1/TAM2

### Gen2.NXP.AES.Untraceable

    public Gen2.NXP.AES.Untraceable(Gen2.Untraceable.EPC epc,
                                    int epcLen,
                                    Gen2.Untraceable.TID tid,
                                    Gen2.Untraceable.User user,
                                    Gen2.Untraceable.Range range,
                                    int accessPassword)

  Constructor to initialize authentication parameters

  Parameters:
    `epc` - specifies whether a Tag untraceably hides part of EPC memory
    `epcLen` - specifies a new EPC length field
    `tid` - specifies the TID memory that a Tag untraceably hides
    `user` - specifies whether a Tag untraceably hides User memory
    `range` - specifies a Tag’s operating range
    `accessPassword` - accesspassword used for Untraceabl

Method Detail

### getConfigWord

    public int getConfigWord()

  Untraceable configword framing.

  Returns:
    Untraceable config word

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `Gen2.Untraceable`
  Returns:
    Human-readable representation